> For the complete documentation index, see [llms.txt](https://docs.os.uk/os-downloads/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.os.uk/os-downloads/resources/product-resources/end-of-life-product-documentation/os-mastermap-water-network-layer/os-mastermap-water-network-layer-technical-specification/product-notes/january-2022-product-notes.md).

# January 2022 product notes

The following page outlines observations made from product testing and observations which are of note to users of the product. Ordnance Survey is working towards fixing these errors for the next release.

## Language qualifiers

The xml:lang attributes are not populated in the product. They are planned for population in a future product release where a feature has more than one name.

## Name continuity

The names of watercourses in the product are not all continuous throughout their extent.

## HydroNode categories

There are a number of errors with HydroNode features with the hydroNodeCategory value 'Source' and 'Outlet', where the flowDirection of the connected WatercourseLink is in the wrong direction or is unknown.

## Geometry issues

There are a number of WatercourseLink features which self-intersect. The vast majority are at the mm level and were created by rounding processes. These will be fixed in a future release.

There are a small number of WatercourseLink features which are shorter in length than 1m. There are a small number of WatercourseLink features which form a closed loop.

There are a number of double digitised WatercourseLink features across the product.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.os.uk/os-downloads/resources/product-resources/end-of-life-product-documentation/os-mastermap-water-network-layer/os-mastermap-water-network-layer-technical-specification/product-notes/january-2022-product-notes.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
